#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := psiconv

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
MAINTARGETS := $(MODULE_DIR)/psiconv
MAINSOURCES := $(MODULE_DIR)/list.c $(MODULE_DIR)/data.c \
               $(MODULE_DIR)/main.c $(MODULE_DIR)/parser.c \
               $(MODULE_DIR)/gen_html.c

PSICONV := psiconv/psiconv

# Include all dependency files
INCLUDEFILES += $(MAINSOURCES:.c=.d)

$(MODULE_DIR)/psiconv: $(MAINSOURCES:.c=.o)
	$(CC) $(LDFLAGS) -o $@ $^

all-main: $(MAINTARGETS)
all :: all-main

install-main: all-main
	$(MKDIR) $(BINDIR)
	$(INSTALL) -o root -g root -m 644 $(MAINTARGETS) $(BINDIR)
install :: install-main

clean-main:
	$(RM) $(MAINSOURCES:.c=.d) $(MAINSOURCES:.c=.o) \
              $(MAINTARGETS)
clean :: clean-main
